#!/usr/bin/perl
use strict;
use warnings;
use DBI;

my $HOST = '127.0.0.1';
my $PORT = 4040;

my @dbhs;
my @sths;
my $how_many_connections = shift || 10;

for my $i (1 .. $how_many_connections) {
    my $dbh = DBI->connect("DBI:mysql:test;host=$HOST;port=$PORT",
	    'msandbox', 'msandbox', 
        {RaiseError => 1, PrintError => 0}) 
	    or die "can't connect ($i)\n";
    $dbhs[$i] = $dbh;
}

$dbhs[1]->do(qq{drop table if exists t1});
$dbhs[1]->do(qq{create table t1 (id int not null auto_increment primary key)});

my $writes =0;
for ( 1 .. 2) {
    for my $i ( 1 .. $how_many_connections) {
        eval {
            $dbhs[$i]->do(qq{insert into test.t1 values (NULL)});
        };
        if ($@) {
            print "$i fail\n";
            next;
        }
        $writes++;
        print "$i (> $writes)\n";
    }
}
